package com.bonus.gs.sub.evaluate.evaluate.dao;

import com.bonus.gs.sub.evaluate.evaluate.beans.NodeBean;
import com.bonus.gs.sub.evaluate.evaluate.beans.PersonBean;
import com.bonus.gs.sub.evaluate.manager.model.Role;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @ClassName: PersonDao
 * @author: tqzhang
 * @Date: 2024/12/20 9:27
 * @version: 1.0
 * @description:
 */
@Mapper
public interface PersonDao {
    /**
     * 获取部门树
     * @param o
     * @return
     */
    List<NodeBean> getDeptTree(PersonBean o);
    /**
     * 获取用户列表
     * @param o
     * @return
     */
    List<PersonBean> getUserList(@Param("arr") String[] arr,@Param("bean") PersonBean o);
    /**
     * 获取角色下拉框
     * @return
     */
    List<Role> getRoleSelect();
    /**
     * 获取部门下拉框
     * @return
     */
    List<Role> getDeptSelect();

    int addPersonInfo(PersonBean bean);

    int addPersonRole(@Param("list") List<PersonBean> list);

    List<PersonBean> getPersonList(PersonBean o);

    int deletePersonRole(String id);

    int updatePerson(PersonBean o);

    int addPersonRoleById(PersonBean o);

    int deletePersonById(String id);

    void updateOldUser(@Param("list")List<PersonBean> list);
}
